=============
API Reference
=============

Marionette
----------
.. autoclass:: marionette_driver.marionette.Marionette
   :members:

HTMLElement
-----------
.. autoclass:: marionette_driver.marionette.HTMLElement
   :members:

DateTimeValue
-------------
.. autoclass:: marionette_driver.DateTimeValue
   :members:

Actions
-------
.. autoclass:: marionette_driver.marionette.Actions
   :members:

MultiActions
------------
.. autoclass:: marionette_driver.marionette.MultiActions
   :members:

Wait
----
.. autoclass:: marionette_driver.Wait
   :members:
   :special-members:
.. autoattribute marionette_driver.wait.DEFAULT_TIMEOUT
.. autoattribute marionette_driver.wait.DEFAULT_INTERVAL

Built-in Conditions
^^^^^^^^^^^^^^^^^^^
.. automodule:: marionette_driver.expected
   :members:

Addons
------
.. autoclass:: marionette_driver.addons.Addons
   :members:

Localization
------------
.. autoclass:: marionette_driver.localization.L10n
   :members:
